// Garden Gnome Software - Skin
// Pano2VR 3.1.4/1952
// Filename: hit_counter.ggsk
// Generated Thu Apr 19 19:26:35 2012

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._background_border=document.createElement('div');
		this._background_border.ggId='background border'
		this._background_border.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._background_border.ggVisible=true;
		this._background_border.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				h=this.parentNode.offsetHeight;
				this.style.top=(-34 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -34px;';
		hs+='width: 4999px;';
		hs+='height: 33px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #ffffff;';
		hs+='background-color: #ffffff;';
		this._background_border.setAttribute('style',hs);
		this.divSkin.appendChild(this._background_border);
		this._text_01=document.createElement('div');
		this._text_01.ggId='text_01'
		this._text_01.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_01.ggVisible=true;
		this._text_01.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-376 + w) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-25 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -376px;';
		hs+='top:  -25px;';
		hs+='width: 223px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._text_01.setAttribute('style',hs);
		this._text_01.innerHTML="This Panorama has been viewed";
		this.divSkin.appendChild(this._text_01);
		this._text_02=document.createElement('div');
		this._text_02.ggId='text_02'
		this._text_02.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_02.ggVisible=true;
		this._text_02.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-68 + w) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-25 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -68px;';
		hs+='top:  -25px;';
		hs+='width: 61px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._text_02.setAttribute('style',hs);
		this._text_02.innerHTML="times";
		this.divSkin.appendChild(this._text_02);
		this._counter_bg=document.createElement('div');
		this._counter_bg.ggId='counter_bg'
		this._counter_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._counter_bg.ggVisible=true;
		this._counter_bg.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-146 + w) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-32 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -146px;';
		hs+='top:  -32px;';
		hs+='width: 82px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='background-color: #ffffff;';
		this._counter_bg.setAttribute('style',hs);
		this._external_1=document.createElement('div');
		this._external_1.ggId='External 1'
		this._external_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._external_1.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 1px;';
		hs+='top:  1px;';
		hs+='width: 50px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._external_1.setAttribute('style',hs);
		this._external_1__img=document.createElement('img');
		this._external_1__img.setAttribute('src','http://www.3dpictor.com/3dpictor/hitcounter/counter.php?key=bb18cdbeffe30565e44cc4edb888eb96&style=1');
		this._external_1__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._external_1__img);
		this._external_1.appendChild(this._external_1__img);
		this._counter_bg.appendChild(this._external_1);
		this.divSkin.appendChild(this._counter_bg);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	this.addSkin();
};